org.apache.olingo.commons.api.edm.provider

## Class CsdlTypeDefinition

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlTypeDefinition

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlTypeDefinition
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl type definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlTypeDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `Integer` | `getMaxLength()` Gets max length.
    `String` | `getName()` Gets name.
    `Integer` | `getPrecision()` Gets precision.
    `Integer` | `getScale()` Gets scale.
    `SRID` | `getSrid()` Gets srid.
    `String` | `getUnderlyingType()` Gets underlying type.
    `boolean` | `isUnicode()` Is unicode.
    `CsdlTypeDefinition` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlTypeDefinition` | `setMaxLength(Integer maxLength)` Sets max length.
    `CsdlTypeDefinition` | `setName(String name)` Sets name.
    `CsdlTypeDefinition` | `setPrecision(Integer precision)` Sets precision.
    `CsdlTypeDefinition` | `setScale(Integer scale)` Sets scale.
    `CsdlTypeDefinition` | `setSrid(SRID srid)` Sets srid.
    `CsdlTypeDefinition` | `setUnderlyingType(FullQualifiedName underlyingType)` Sets underlying type.
    `CsdlTypeDefinition` | `setUnderlyingType(String underlyingType)` Sets underlying type.
    `CsdlTypeDefinition` | `setUnicode(boolean unicode)` Sets unicode.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlTypeDefinition

          public CsdlTypeDefinition()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlTypeDefinition setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getUnderlyingType

          public String getUnderlyingType()

      Gets underlying type.
      Returns:
        the underlying type

    - #### setUnderlyingType

          public CsdlTypeDefinition setUnderlyingType(String underlyingType)

      Sets underlying type.
      Parameters:
        `underlyingType` - the underlying type
      Returns:
        the underlying type

    - #### setUnderlyingType

          public CsdlTypeDefinition setUnderlyingType(FullQualifiedName underlyingType)

      Sets underlying type.
      Parameters:
        `underlyingType` - the underlying type
      Returns:
        the underlying type

    - #### getMaxLength

          public Integer getMaxLength()

      Gets max length.
      Returns:
        the max length

    - #### setMaxLength

          public CsdlTypeDefinition setMaxLength(Integer maxLength)

      Sets max length.
      Parameters:
        `maxLength` - the max length
      Returns:
        the max length

    - #### getPrecision

          public Integer getPrecision()

      Gets precision.
      Returns:
        the precision

    - #### setPrecision

          public CsdlTypeDefinition setPrecision(Integer precision)

      Sets precision.
      Parameters:
        `precision` - the precision
      Returns:
        the precision

    - #### getScale

          public Integer getScale()

      Gets scale.
      Returns:
        the scale

    - #### setScale

          public CsdlTypeDefinition setScale(Integer scale)

      Sets scale.
      Parameters:
        `scale` - the scale
      Returns:
        the scale

    - #### isUnicode

          public boolean isUnicode()

      Is unicode.
      Returns:
        the boolean

    - #### setUnicode

          public CsdlTypeDefinition setUnicode(boolean unicode)

      Sets unicode.
      Parameters:
        `unicode` - the unicode
      Returns:
        the unicode

    - #### getSrid

          public SRID getSrid()

      Gets srid.
      Returns:
        the srid

    - #### setSrid

          public CsdlTypeDefinition setSrid(SRID srid)

      Sets srid.
      Parameters:
        `srid` - the srid
      Returns:
        the srid

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlTypeDefinition setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.